---
title: "List all flows"
slug: "list-gong-engage-flows-v2flows-1"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Gong Engage flows (/v2/flows)

Get/v2/flows

Engage flows have the following visibility types:

- Company: visible to everyone in the company, can only be edited by users with edit permissions.
- Personal: reps can set up their own flows which are only available to them.
- Shared: reps can share a flow with other reps. Those reps can then add leads to the flow.

This endpoint returns all company flows, together with personal flows and flows shared with the user specified in the flowEmailOwner parameter.

When accessed through a Bearer token authorization method, use the 'api:flows:read' scope.

Query parametersflowOwnerEmailstringRequired

Email of the Gong user whose personal flows and flows shared with the user you want to return.

Exampletest@test.com
cursorstring

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
workspaceIdstring

Optional Workspace identifier, if supplied the API will return only the flows belonging to this workspace.

Example623457276584334

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='993ec41e-8ffb-47c1-89ea-33285e9a7e66'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
recordsobject (Records)  

Information about the number of records that match the requested filter.

totalRecordsinteger  (int32)    

Total number of records.

Example263
currentPageSizeinteger  (int32)    

Number of records in the current page.

Example100
currentPageNumberinteger  (int32)    

Current page number.

Example0
cursorstring    

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM

flows Array of object (PublicApiFlow)   

A list, in which each item specifies one Flow.

object  

A list, in which each item specifies one Flow.

idstring    

The id of the flow

Example1695493301223590792
namestring    

The name of the flow

ExamplePersonal Flow
folderIdstring    

The id of the folder this flow is under

Example1695493301223573465
folderNamestring    

The name of the folder this flow is under

Example1695493301223573465
visibilitystring    

The flow visibility type

Valid values[
  "Company",
  "Personal",
  "Shared"
]
creationDatestring    

Creation time of the flow in ISO-8601 format (e.g., '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC).

Example2018-02-17T02:30:00-08:00
exclusiveboolean    

indicates whether a prospect in this flow can be added to other flows

Exampletrue

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='b7c2212a-d048-4fcd-ac68-63f7033f4daa'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='6e91f2d0-da26-4fec-a7b5-804a68011b11'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

403

Forbidden

<select class='api-response-data' aria-label='Media type'><option value='02fea8e9-b9e6-468b-a016-026f05f622d3'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='42aaccaf-fed3-40c8-a386-aa130e613c4f'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='ccc8227a-3d6d-468e-855a-e57bd2ceb094'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
